{
  "name": "eclipsefdn-project-adopters",
  "description": "Source code for eclipsefdn-project-adopters",
  "author": "Christopher Guindon",
  "license": "EPL-2.0",
  "version": "1.0.0",
  "bugs": {
    "url": "https://gitlab.eclipse.org/eclipsefdn/it/api/eclipsefdn-project-adopters/-/issues"
  },
  "repository": {
    "type": "git",
    "url": "git://gitlab.eclipse.org/eclipsefdn/it/api/eclipsefdn-project-adopters.git"
  },
  "scripts": {
    "test": "jsonlint src/main/resources/adopters.json",
    "build": "rm -rf src/main/resources/META-INF/resources/* && mkdir -p src/main/resources/META-INF/resources/assets && cp -R static/assets/. src/main/resources/META-INF/resources/assets/",
    "postinstall": "npm run production && npm run minify_adopters",
    "minify_adopters": "mkdir -p target/config && ./node_modules/json-minify/index.js config/adopters.json > target/config/adopters.json",
    "production": "NODE_ENV=production webpack --progress --config=node_modules/laravel-mix/setup/webpack.config.js && npm run adopters_json && npm run test",
    "adopters_json": "cp src/main/resources/adopters.json static/assets/js",
    "generate-json-schema": "node node_modules/eclipsefdn-api-support/src/openapi2schema.js -s spec/openapi.yaml -t src/test/resources",
    "clean": "rm -rf src/test/resources/schemas/"
  },
  "dependencies": {
    "chai": "^4.2.0",
    "eclipsefdn-hugo-solstice-theme": "0.0.183",
    "js-yaml": "^3.13.1",
    "json-minify": "^1.0.0",
    "jsonlint": "^1.6.3",
    "mocha": "^7.1.2",
    "eclipsefdn-api-support": "1.0.0"
  }
}
